io.undertow.server.session

## Class SessionListeners

- java.lang.Object
- - io.undertow.server.session.SessionListeners

    public class SessionListeners
    extends Object

Utility class that maintains the session listeners.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`SessionListeners()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSessionListener(SessionListener listener)`
`void` `attributeAdded(Session session, String name, Object value)`
`void` `attributeRemoved(Session session, String name, Object oldValue)`
`void` `attributeUpdated(Session session, String name, Object newValue, Object oldValue)`
`void` `clear()`
`boolean` `removeSessionListener(SessionListener listener)`
`void` `sessionCreated(Session session, HttpServerExchange exchange)`
`void` `sessionDestroyed(Session session, HttpServerExchange exchange, SessionListener.SessionDestroyedReason reason)`
`void` `sessionIdChanged(Session session, String oldSessionId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionListeners

    public SessionListeners()

### Method Detail

#### addSessionListener

    public void addSessionListener(SessionListener listener)

#### removeSessionListener

    public boolean removeSessionListener(SessionListener listener)

#### clear

    public void clear()

#### sessionCreated

    public void sessionCreated(Session session,
                               HttpServerExchange exchange)

#### sessionDestroyed

    public void sessionDestroyed(Session session,
                                 HttpServerExchange exchange,
                                 SessionListener.SessionDestroyedReason reason)

#### attributeAdded

    public void attributeAdded(Session session,
                               String name,
                               Object value)

#### attributeUpdated

    public void attributeUpdated(Session session,
                                 String name,
                                 Object newValue,
                                 Object oldValue)

#### attributeRemoved

    public void attributeRemoved(Session session,
                                 String name,
                                 Object oldValue)

#### sessionIdChanged

    public void sessionIdChanged(Session session,
                                 String oldSessionId)